# Element information get

**api-version**: 1.0

Retrieves information for a specific element.


```
GET /{collectionId}/{storageId}/_api/rest/facets/{facetId}/views/{viewId}/elements/{elementId}/info
```

## Parameters

| Name | In | Required | Type | Description |
|  --- | --- | --- | --- | --- |
| collectionId | path | true | string | The ID of the storage collection. |
| storageId | path | true | string | The ID of the tenant. |
| facetId | path | true | string | The name of the facet. |
| viewId | path | true | string | The name of the view. |
| elementId | path | true | string | The ID of the element. |


## Responses

### Success 200

| Name | Type | Description |
|  --- | --- | --- |
| count | integer | The number of returned values. |
| values | [ElementInfo](#element) | The list of element information. |


### Error 4xx

| Name | Type | Description |
|  --- | --- | --- |
| message | string | The error message |
| output | [OperationResultOutput](#operationresultoutput) | The result output. |
| type | [OperationResultType](#operationresulttype) | The result type. |
| data | [OperationError](#operationerror) | The list of errors. |


## Examples

### Get the element information

#### Request


```
GET https://demo.symbioworld.com/pz/showcase/_api/rest/facets/processes/views/detail/elements/f4f3943d-6b3b-42a9-8a3a-30acf42ce7d5/info
```

#### Response (200 OK)


```json
{
    "count": 1,
    "values": [
        {
            "elementTypeName": "SubProcessDiagram",
            "entityIds": [
                "f4f3943d-6b3b-42a9-8a3a-30acf42ce7d5"
            ],
            "entityTypeName": "MTX_SUB_PROCESS",
            "facetTypeName": "Processes",
            "facetViewKey": "PersonalizedDiagram",
            "hasDiagram": true,
            "hasEditPermission": true,
            "id": "f4f3943d-6b3b-42a9-8a3a-30acf42ce7d5",
            "insertableDynamicTypes": {},
            "isCurrentCopyable": false,
            "isCurrentInsertable": true,
            "isCurrentMovable": true,
            "isCurrentRemovable": true,
            "isReadOnly": false,
            "isReadOnlyCollection": false,
            "name": "Idea/Innovation",
            "permissions": [
                "NewElement",
                "EditElement",
                "DeleteElement",
                "ShowElement",
                "ApproveElement",
                "OpenElement"
            ],
            "readOnlyCollectionContext": "None",
            "readOnlyContext": "None",
            "rootPath": [
                "f4f3943d-6b3b-42a9-8a3a-30acf42ce7d5"
            ],
            "shapeId": "f4f3943d-6b3b-42a9-8a3a-30acf42ce7d5",
            "typeColor": "#007ACC",
            "uid": "_f4f3943d-6b3b-42a9-8a3a-30acf42ce7d5"
        }
    ]
}
```

## Definitions

### Element

| Name | Type | Description |
|  --- | --- | --- |
| id | Guid? | The identifier of the element. |
| versionId | Guid? | The identifier of the specific version. |
| state | string | The current state of the element. |
| stereotype | string | The stereotype of the element. |
| type | string | The type of the element. |
| attributes | Dictionary<string, Dictionary<int, object>> | The attributes of the element. |
| related | Dictionary<string, List<Element>> | The list of related elements. |
| children | Element | The list of child elements. |
| content | Element | The list of content elements. |
| rootPath | Element | The list of hierarchical parent elements to the root element. |
| displayNames | Dictionary<int, string> | Gets the display names of multiple languages. |
| expandUri | string | Gets or sets the expand Uri to get full information about element |
| facetName | string | Name of the facet |
| setReadOnly | bool? | Gets or sets the read only of the element |
| versions | Element | Element versions of this container |


### OperationResultOutput

| Name | Type |
|  --- | --- |
| volatile | string |
| permanent | string |
| dialog | string |
| inline | string |


### OperationResultType

| Name | Type |
|  --- | --- |
| critical | string |
| error | string |
| warning | string |
| success | string |
| unauthorized | string |


### OperationError

| Name | Type | Description |
|  --- | --- | --- |
| error | string | The error message. |